MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023265Community[OCCT] OCCT:DRAWpublic2012-07-12 12:392012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2005OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023265: cppcheck warning: Mismatching allocation and deallocation
DescriptionArray should be deallocated witht the 'delete []' operator.
Use pairs: new - delete, malloc - free

Affected files:
QADNaming_IteratorCommands.cxx - line 161
QANewModTopOpe.cxx - line 662
TestTopOpeTools_TraceCommands.cxx - line 332
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020928)
Pawel (developer)
2012-07-12 13:44

Corresponding git branch pushed. Please review.
(0020948)
abv (manager)
2012-07-13 12:53

No remarks, please test
(0020981)
mkv (tester)
2012-07-16 12:33

Dear BugMaster,
The workbenches
KAS:dev:mkv-23265-occt (GIT branch CR23265)
KAS:dev:mkv-23265-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23265-products_13072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120622-opt_22062012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master b1ea14b6
Timestamp: 2012-07-12 09:43:42
Author: Pawel
Details ] Diff ]
0023265: cppcheck warning: Mismatching allocation and deallocation

Use pairs: new - delete (new - delete [] for arrays), malloc - free
mod - src/QADNaming/QADNaming_IteratorsCommands.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe.cxx Diff ] File ]
mod - src/TestTopOpeTools/TestTopOpeTools_TraceCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-12 12:39 Pawel New Issue
2012-07-12 12:39 Pawel Assigned To => Pawel
2012-07-12 13:42 Pawel Description Updated View Revisions
2012-07-12 13:44 Pawel Note Added: 0020928
2012-07-12 13:44 Pawel Assigned To Pawel => bugmaster
2012-07-12 13:44 Pawel Status new => resolved
2012-07-13 12:53 abv Note Added: 0020948
2012-07-13 12:53 abv Status resolved => reviewed
2012-07-13 15:24 mkv Assigned To bugmaster => mkv
2012-07-16 12:33 mkv Note Added: 0020981
2012-07-16 12:34 mkv Test case number => Not needed
2012-07-16 12:34 mkv Assigned To mkv => bugmaster
2012-07-16 12:34 mkv Status reviewed => tested
2012-07-23 12:20 Pawel Changeset attached => occt master b1ea14b6
2012-07-23 12:21 Pawel Assigned To bugmaster => Pawel
2012-07-23 12:21 Pawel Status tested => verified
2012-07-23 12:21 Pawel Resolution open => fixed
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker